#ifndef SCANNERIMAGEPROVIDER_H
#define SCANNERIMAGEPROVIDER_H

#include <QObject>
#include <QQuickImageProvider>
#include <QDebug>
#include "./global/variable.h"

class ScannerImageProvider : public QObject, public QQuickImageProvider
{
    Q_OBJECT
public:
    ScannerImageProvider(): QQuickImageProvider(QQuickImageProvider::Image){}

    QImage requestImage(const QString &id, QSize *size, const QSize &requestedSize)
    //图片路径"image://name/id"
    {
        if(id == "origImage"){
            return m_origImage;
        }
        if(id == "scanImage"){
            return m_scanImage;
        }
        if(id == "warkmarkImage"){
            return m_warkmarkImage;
        }

       if (Variable::g_tempImage.isNull()) {
           m_image.load("qrc:/res/res/damaged_img.png");
       } else {
           Variable::setLoadedImageMap(id, Variable::g_tempImage);
           m_image = Variable::g_tempImage;
       }


    }
    void setOrigImage(QImage image){
        m_origImage = image;
    }
    void setScanImage(QImage image){
        m_scanImage = image;
    }
    void setWarkmarkImage(QImage image){
        m_warkmarkImage = image;
    }

private:

    QImage m_image;
    QImage m_origImage;
    QImage m_scanImage;
    QImage m_warkmarkImage;

};

#endif // SCANNERIMAGEPROVIDER_H
